Skip to main content
`Ctrl`+`K`

# SNESConvergedSkip

Convergence test for `SNES` that NEVER returns as converged, UNLESS the maximum number of iteration have been reached.

## Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode SNESConvergedSkip(SNES snes, PetscInt it, PetscReal xnorm, PetscReal snorm, PetscReal fnorm, SNESConvergedReason *reason, void *dummy)

Logically Collective

## Input Parameters

- snes - the `SNES` context

- it - the iteration (0 indicates before any Newton steps)

- xnorm - 2-norm of current iterate

- snorm - 2-norm of current step

- fnorm - 2-norm of function at current iterate

- dummy - unused context

## Output Parameter

- reason - `SNES_CONVERGED_ITERATING`, `SNES_CONVERGED_ITS`, or `SNES_DIVERGED_FNORM_NAN`

## Options Database Key

- -snes_convergence_test skip - see `SNESSetFromOptions()`

## Note

This is often used if `snes` is being used as a nonlinear smoother in `SNESFAS` or possibly other `SNESType`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSolve()`, `SNESConvergedDefault()`, `SNESSetConvergenceTest()`, `SNESConvergedReason`

## Level

advanced

## Location

src/snes/interface/snesut.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages